Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface WhileLoopTree

- All Superinterfaces:
    `ConditionalLoopTree`, `LoopTree`, `StatementTree`, `Tree`

      @Deprecated(since="11",
                  forRemoval=true)
      public interface WhileLoopTree
      extends ConditionalLoopTree

  Deprecated, for removal: This API element is subject to removal in a future version.
  Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
  A tree node for a 'while' loop statement. For example:

         while ( condition )
           statement

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getCondition()` | Deprecated, for removal: This API element is subject to removal in a future version. The condition expression of this 'while' statement.
    `StatementTree` | `getStatement()` | Deprecated, for removal: This API element is subject to removal in a future version. The statement contained in this 'while' statement.

    - ### Methods declared in interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getCondition

          ExpressionTree getCondition()

      Deprecated, for removal: This API element is subject to removal in a future version.
      The condition expression of this 'while' statement.
      Specified by:
        `getCondition` in interface `ConditionalLoopTree`
      Returns:
        the condition expression

    - #### getStatement

          StatementTree getStatement()

      Deprecated, for removal: This API element is subject to removal in a future version.
      The statement contained in this 'while' statement.
      Specified by:
        `getStatement` in interface `LoopTree`
      Returns:
        the statement contained